'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DatesRangeInput = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _semanticUiReact = require('semantic-ui-react');

var _containers = require('../containers');

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _utils = require('../utils.js');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function DatesRangeInput(props) {
  var onChange = props.onChange,
      value = props.value,
      placeholder = props.placeholder;

  var onDatesRangeChange = function onDatesRangeChange(newDatesRange) {
    var start = newDatesRange.start,
        end = newDatesRange.end;

    if (start && end) {
      onChange(start.format('DD-MM-YY') + ' - ' + end.format('DD-MM-YY'));
    }
    if (newDatesRange.target) {
      onChange(newDatesRange.target.value);
    }
  };
  var rest = (0, _utils.getUnhandledProps)(DatesRangeInput, props);
  var inputElement = _react2.default.createElement(_semanticUiReact.Input, _extends({}, rest, {
    value: value,
    onChange: onDatesRangeChange,
    placeholder: placeholder,
    icon: 'calendar',
    iconPosition: 'left',
    type: 'text' }));
  return _react2.default.createElement(
    _containers.CustomPopup,
    {
      on: 'click',
      className: 'suir-calendar popup',
      hoverable: true,
      trigger: inputElement },
    _react2.default.createElement(_containers.DatesRangePicker, {
      onDatesRangeChange: onDatesRangeChange })
  );
}

DatesRangeInput.handledProps = ['onChange', 'placeholder', 'value'];
DatesRangeInput.propTypes = {
  /** (value) => {} where value has format 'DD-MM-YYYY - DD-MM-YYYY' */
  onChange: _propTypes2.default.func,
  /** selected date value in format 'DD-MM-YYYY - DD-MM-YYYY' */
  value: _propTypes2.default.string,
  placeholder: _propTypes2.default.string
};

DatesRangeInput.defaultProps = {
  value: '',
  placeholder: ''
};

exports.default = DatesRangeInput;
exports.DatesRangeInput = DatesRangeInput;